#include "SPI.h"
#include "ILI9488_DMA.h"  // https://github.com/giacu92/ILI9488_DMA/tree/ILI9488_DMA

// pinout pro Arduino UNO
// pozor, nutno použít převodník napěťových úrovní z 5 na 3,3 V DC.
// #define TFT_CLK 13
// #define TFT_MISO 12
// #define TFT_MOSI 11
// #define TFT_CS 4
// #define TFT_DC 3
// #define TFT_RST 5

// pinout pro Arduino DUE
// převodník napěťových úrovní není nutný – Arduino DUE pracuje s 3V3 logikou.
#define TFT_CLK 76
#define TFT_MISO 74
#define TFT_MOSI 75
#define TFT_CS 4
#define TFT_DC 3
#define TFT_RST 5

// displej napájet ze zdroje 5 V DC
// pin LED na TFT připojit k 3V3 nebo ovládat digitálním výstupem

ILI9488 tft = ILI9488(TFT_CS, TFT_DC, TFT_RST);

//Arduino setup
void setup() {
  tft.begin();
  tft.fillScreen(ILI9488_BLACK);
  tft.setCursor(0, 0);
  tft.setTextColor(ILI9488_WHITE);
  tft.setTextSize(3);
  tft.println("Dratek.cz");
}

//Main loop
void loop(void) {
  //Delay 2 Seconds
  delay(2000);
}